API referenceInboxes
Retrieve a thread
GET
/inboxes/{id}/threads/{threadId}The thread with its messages.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64threadId*string
Length
1 <= length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/inboxes/string/threads/string"{ "object": "thread", "id": "string", "inbox_id": "string", "subject": "string", "status": "open", "labels": [ "string" ], "participants": [ "string" ], "message_count": 0, "failed_message_count": 0, "unread_count": 0, "assignee_id": "string", "last_message_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "messages": [ { "object": "message", "id": "string", "thread_id": "string", "inbox_id": "string", "direction": "inbound", "from": "string", "to": [ "string" ], "cc": [ "string" ], "reply_to": [ "string" ], "subject": "string", "message_id": "string", "in_reply_to": "string", "references": [ "string" ], "email_id": "string", "received_email_id": "string", "verdicts": { "spam": "string", "virus": "string", "spf": "string", "dkim": "string", "dmarc": "string" }, "read": true, "status": "received", "sent_at": "2019-08-24T14:15:22Z" } ]}List threads GET
Newest activity first. Filter by `query` (subject or participant), `label`, `status`, `unread` and `assignee` (`me`, `none` or a member id).
Update a thread PATCH
Changes status, labels (`labels`, `add_labels`, `remove_labels`), read state and the assignee (`assignee_id`, a member of the organization, or null). Status, label and assignment changes are recorded in the thread activity.